# CUPTI::PcSamplingUtil::CUptiUtil_MergePcSampDataParams Struct Reference
[CUPTI PC Sampling Utility API]

Params for CuptiUtilMergePcSampData.

## Data Fields
CUpti_PCSamplingData ** | MergedPcSampDataBuffers
size_t | numberOfBuffers
size_t * | numMergedBuffer
CUpti_PCSamplingData * | PcSampDataBuffer
size_t | size

## Field Documentation

CUpti_PCSamplingData** CUPTI::PcSamplingUtil::CUptiUtil_MergePcSampDataParams::MergedPcSampDataBuffers

Pointer to array of merged buffers as per the range id.

size_t CUPTI::PcSamplingUtil::CUptiUtil_MergePcSampDataParams::numberOfBuffers

Number of buffers to merge.

size_t* CUPTI::PcSamplingUtil::CUptiUtil_MergePcSampDataParams::numMergedBuffer

Number of merged buffers.

CUpti_PCSamplingData* CUPTI::PcSamplingUtil::CUptiUtil_MergePcSampDataParams::PcSampDataBuffer

Pointer to array of buffers to merge

size_t CUPTI::PcSamplingUtil::CUptiUtil_MergePcSampDataParams::size

Size of the data structure i.e. CUpti_PCSamplingDisableParamsSize CUPTI client should set the size of the structure. It will be used in CUPTI to check what fields are available in the structure. Used to preserve backward compatibility.